POTM: Resources

POTM: Programmer of the Month: Resources

This page is intended to give you some information about the machine on which the POTM is conducted. The POTM site and contest is hosted by 1and1.com and we exist only through their good graces as a paying customer. The box appears to be primarily an installation of Debian Gnu/Linux version 3.0 but only a fraction of the many utilities appear to be accessible. To see whether a particular command or language is available, please use the "command check" link on the left menu to see if it is accessible - you'll get the full path and a MAN page if it is available. Suggestions for additions to this page to POTM-MASTER via the forum please!


Operating System: Linux 2.4.26-grsec-20040415a
Hardware: i686
Debian Version 3.0 (debian.org)
Shells: ksh, bash, csh, tcsh, zsh
Languages: Python 2.2.1; PHP 4.3.8; ruby 1.8.1; perl v5.6.1;
     tcl 8.3; GNU m4 1.4; gawk 3.1.0 (+nawk/awk) ; clisp 2.38; sed, dc
Compilers: gcc (C), g++ (C++) -
    gcc/g++ -v yields: Reading specs from /usr/lib/gcc-lib/i386-linux/2.95.4/specs
    gcc version 2.95.4 20011002 (Debian prerelease)
    library and include limitations may exist.
I have no ability to extend the capabilities provided by the host.



The POTM is unsponsored and just for fun.      
Strict Standards: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/9/d106089208/htdocs/dinsights/POTM/ASSETS/footer.php on line 15
Saturday 09:35:56 AM      Copyright © 2004-6 - Fred Hicinbothem